summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorUltrabug2012-04-06 15:54:19 (GMT)
committerUltrabug2012-04-06 15:54:19 (GMT)
commitb7667e70935dd6c6b83b363462a55f202bb25b98 (patch)
tree872af43de87c003ac1c463be7234b00cdf5c2e96
parentc595a4370a64579e091a969ad2c84938bd4bb7b5 (diff)
rename www-servers/solr to dev-db/apache-solr
-rw-r--r--dev-db/apache-solr/Manifest (renamed from www-servers/solr/Manifest)2
-rw-r--r--dev-db/apache-solr/apache-solr-3.5.0.ebuild (renamed from www-servers/solr/solr-3.5.0.ebuild)10
-rw-r--r--dev-db/apache-solr/files/jetty-solr.xml (renamed from www-servers/solr/files/jetty-solr.xml)0
-rw-r--r--dev-db/apache-solr/files/solr.xml (renamed from www-servers/solr/files/solr.xml)0
4 files changed, 6 insertions, 6 deletions
diff --git a/www-servers/solr/Manifest b/dev-db/apache-solr/Manifest
index 525d149..fb94f8f 100644
--- a/www-servers/solr/Manifest
+++ b/dev-db/apache-solr/Manifest
@@ -1,4 +1,4 @@
AUX jetty-solr.xml 431 RMD160 52b20e7cbb74c70ebd8650007313a15c423eff3b SHA1 c17d71e161cbebb466c42b1d6266967128d29f81 SHA256 e3f5a4499db74586d56df7fabfaeeaef14e83caa7c1e003a004087604468660a
AUX solr.xml 1320 RMD160 206cf52b217afec7ab83b16599d72f33e128753d SHA1 c5b1512c5c153c760063a38db085bdb73187b4d8 SHA256 45f7ea56648a651389e95ad9f653591331dcf47a3dae11aadbd8e806ec736dca
DIST apache-solr-3.5.0.tgz 78673382 RMD160 365d4b27753375ea3a39b9d42c06b80dce474731 SHA1 020fc86dfd2405212c0f706111d8576dbb8e54b4 SHA256 804f3ba9d1296f81388605a79538b7362355693fbdd03b7b2dbf9a706bf1d1d0
-EBUILD solr-3.5.0.ebuild 1160 RMD160 834a7cc1b42e29e3823d226a6045ca9b6012f7dc SHA1 b2e23e54d651ee0aa70e433c8b5b9273b4b29cfb SHA256 564e01b26e83ac6ee49ebd5c3952681218fddc7e5b95f42846316af7f4059f3f
+EBUILD apache-solr-3.5.0.ebuild 1140 RMD160 edad6f5908610501a5f8e6ed1927d43eee6ca993 SHA1 4719989ecfc87997aef56f7519e5451d4e6f6658 SHA256 3dda7ecc864f60a44cb744e1d6749cf507e2e0c2c878bbdbd0940f63aeafc3f0
diff --git a/www-servers/solr/solr-3.5.0.ebuild b/dev-db/apache-solr/apache-solr-3.5.0.ebuild
index 8642162..b7b938f 100644
--- a/www-servers/solr/solr-3.5.0.ebuild
+++ b/dev-db/apache-solr/apache-solr-3.5.0.ebuild
@@ -2,11 +2,13 @@
# Distributed under the terms of the GNU General Public License v2
# $Header: $
-EAPI="4"
+EAPI=4
+
+MY_PN=${PN/apache-}
DESCRIPTION="Popular, blazing fast open source enterprise search platform from the Apache Lucene project"
HOMEPAGE="http://lucene.apache.org/solr/"
-SRC_URI="http://www.apache.org/dist/lucene/${PN}/${PV}/apache-${P}.tgz"
+SRC_URI="http://www.apache.org/dist/lucene/${MY_PN}/${PV}/${P}.tgz"
LICENSE="Apache"
SLOT="0"
@@ -17,15 +19,13 @@ DEPEND="app-arch/unzip"
RDEPEND="${DEPEND}
www-servers/jetty-bin"
-S="${WORKDIR}/apache-${P}"
-
SOLR_HOME="/usr/share/solr"
src_install() {
dodir "${SOLR_HOME}"
dodir /etc/solr
- unzip dist/apache-"${P}.war" -d "${D}/${SOLR_HOME}" || die
+ unzip dist/"${P}.war" -d "${D}/${SOLR_HOME}" || die
sed -i -e 's@\.\./\.\./@\./@g' example/solr/conf/solrconfig.xml || die
rm -rf "${D}/${SOLR_HOME}"/META-INF || die
diff --git a/www-servers/solr/files/jetty-solr.xml b/dev-db/apache-solr/files/jetty-solr.xml
index 88490a0..88490a0 100644
--- a/www-servers/solr/files/jetty-solr.xml
+++ b/dev-db/apache-solr/files/jetty-solr.xml
diff --git a/www-servers/solr/files/solr.xml b/dev-db/apache-solr/files/solr.xml
index 4d1a84e..4d1a84e 100644
--- a/www-servers/solr/files/solr.xml
+++ b/dev-db/apache-solr/files/solr.xml